LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
XURI Interface Reference

represents an URI node that may occur in a RDF graph. More...

`import"XURI.idl";`

Inheritance diagram for XURI:

## Public Attributes
string | Namespace
| prefix More...
string | LocalName
| suffix More...
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

represents an URI node that may occur in a RDF graph.

Note that this is actually an IRI, but the RDF literature speaks of URIs only, so we chose to use established terminology.

The URI is split into a Namespace and a LocalName, using the first applicable of the following criteria:

1. after the first occurrence of the fragment separator: "#"
2. after the last occurrence of the path separator: "/"
3. after the last occurrence of the scheme separator: ":"

An URI without a ":" is invalid. This implies that the Namespace part of an URI must not be empty, while the LocalName part may be empty.

Since
  OOo 3.0

See also
  XRepository

## Member Data Documentation

## ◆ LocalName

string LocalName
| attribute readonly

suffix

## ◆ Namespace

string Namespace
| attribute readonly

prefix

The documentation for this interface was generated from the following file:

- com/sun/star/rdf/XURI.idl